<xml></xml>

Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
MultipleDatabaseEntry..::.GetEnumerator Method
MultipleDatabaseEntry Class See Also Send Feedback

Return an enumerator which iterates over all DatabaseEntry objects represented by the MultipleDatabaseEntry.

Namespace: BerkeleyDB
Assembly: libdb_dotnet53 (in libdb_dotnet53.dll) Version: 5.3.28.0

# Syntax

C#

    public IEnumerator<DatabaseEntry> GetEnumerator()

Visual Basic (Declaration)

    Public Function GetEnumerator As IEnumerator(Of DatabaseEntry)

Visual C++

    public:
    virtual IEnumerator<DatabaseEntry^>^ GetEnumerator() sealed

#### Return Value

An enumerator for the MultipleDatabaseEntry

#### Implements

IEnumerable<(Of <(T>)>)..::.GetEnumerator()()()

# See Also

MultipleDatabaseEntry Class
BerkeleyDB Namespace